<?xml version="1.0"?>

<!-- *********************************************************************** -->
<!--                                                                         -->
<!--                       Copyright (c) 2000 by                             -->
<!--                     Access360, Inc., Irvine, CA                         -->
<!--                        All rights reserved.                             -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--     File:   menu.xsl                                                    -->
<!--   Author:   Alex Amies	                                             -->
<!--     Date:   10/19/00                                                    -->
<!-- Revision:   0                                                           -->
<!--  Project:   Sapphire                                                    -->
<!--  Purpose:   Style sheet for EnRole main menu			     -->
<!--                                                                         -->
<!--      Log:   /sapphire/public/data/menu.xsl                              -->
<!--                                                                         -->
<!-- *********************************************************************** -->

<xsl:stylesheet version="1.0" 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="utf-8"/>
  <xsl:param name="locale">en</xsl:param>
  <xsl:param name="helpContext" select="'contents'"/>
<xsl:param name="logoAlt"/>

  <!-- Template for main menu -->
  <xsl:template match="mainMenu">

      <!-- Top White Row With enRole Logo -->
      <tr>
        <td width="100%" height="43">
          <table width="100%" border="0" cellSpacing="0" cellPadding="0">
            <tr>
              <td bgcolor="white">
                <img src="{$locale}/images/logo.gif" border="0" height="58" alt="{$logoAlt}"/>
              </td>
              <td align="right">
                <xsl:apply-templates select="customerLogo"/>
              </td>
            </tr>
          </table>
        </td>
      </tr>

      <!-- Top Navigation Row -->
      <form name="menu" action="main.jsp" method="POST" accept-charset='UTF-8'>
        <input name="target" type="hidden" value="person_submenu"/>
        <input name="help" type="hidden" value=""/>
        <input name="UIContext" type="hidden" value="'myEnrole'"/>
        <input name="target_dn" type="hidden" value="self"/>
		<input name="shortcutContext" type="hidden"/>
        <tr>
          <td class="topnavigation">
       	    <img src="images/pixel.gif" height="1" width="5" align="left" border="0"/>
    	    <!--a onmouseout="document.images['logout'].src='{$locale}/images/buttonlog_out.gif';" 
       	    	onmouseover="document.images['logout'].src='{$locale}/images/buttonlog_out_f2.gif';" 
       		href="logon?action=logout"><img align="right" border="0" name="logout" alt="logout"
       		src="{$locale}/images/buttonlog_out.gif"/></a-->
            <xsl:apply-templates select="logout|menuItem|helpMenuItem"/>
	  </td>
	</tr>
      </form>
  </xsl:template>

  <!-- template for displaying customer logo -->
  <xsl:template match="customerLogo">
    <xsl:choose>
      <xsl:when test="url">
        <a href="{url}">
          <img src="images/{img}" border="0"/>
        </a>
      </xsl:when>
      <xsl:otherwise>
        <img src="images/{img}" border="0" align="right"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

	<xsl:template match="logout">
		<a onmouseout="document.images['logout'].src='{$locale}/images/buttonlog_out.gif';" onmouseover="document.images['logout'].src='{$locale}/images/buttonlog_out_f2.gif';" href="{.}">
			<img align="right" border="0" name="logout" alt="{@alt}" src="{$locale}/images/buttonlog_out.gif"/>
		</a>
	</xsl:template>
	
  <!-- Template for individual menu item (selected) -->
  <xsl:template match="menuItem[@selected='true']">
  			<img src="{$locale}/images/{@image}_f3.gif" alt="{@alt}" border="0" name="{@image}"/>
  </xsl:template>

  <!-- Template for individual menu item (unselected) -->
  <xsl:template match="menuItem[@selected='false']">
	 	 <xsl:if test="not(@after_selected='true')">
			<xsl:if test="not(@image='menu_home')">
				<img src="images/vertbar.gif"/>
			</xsl:if>
		</xsl:if>
 		<a href="Javascript:submitMainMenu(document.forms['menu'],'{@action}','{@target}','{@uiContext}','{@shortcutContext}')" onmouseover="document.images['{@image}'].src='{$locale}/images/{@image}_f2.gif';" onmouseout="document.images['{@image}'].src='{$locale}/images/{@image}.gif';">
 			<img src="{$locale}/images/{@image}.gif" alt="{@alt}" border="0" name="{@image}"/>
		</a>
  </xsl:template>

	<!-- Template for help menu item -->
	<xsl:template match="helpMenuItem">
	  	<xsl:if test="not(@after_selected='true')">
			<img src="images/vertbar.gif"/>
		</xsl:if>
		<a href="Javascript:submitHelp('{@target}')" onmouseover="document.images['{@image}'].src='{$locale}/images/{@image}_f2.gif';" onmouseout="document.images['{@image}'].src='{$locale}/images/{@image}.gif';">
			<img src="{$locale}/images/{@image}.gif" alt="{@alt}" border="0" name="{@image}"/>
		</a>
		<img src="images/vertbar.gif"/>
	</xsl:template>

  <!-- Template for submitting the main menu -->
  <xsl:template match="submitMainMenu">
      <script language="javascript">
          setTimeout("submitMainMenu(document.forms['menu'], '<xsl:value-of select="@action"/>', '<xsl:value-of select="@target"/>', '<xsl:value-of select="@uiContext"/>', '<xsl:value-of select="@shortcutContext"/>');",
                     100);                
      </script>
  </xsl:template>

</xsl:stylesheet>








