<?xml version="1.0"?>
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--                       Copyright (c) 2000 by                             -->
<!--                     Access360, Inc., Irvine, CA                         -->
<!--                        All rights reserved.                             -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--     File:   passwordretrieval.xsl                                                   -->
<!--   Author:   Danny Xu	                                             -->
<!--     Date:   09/13/01                                                    -->
<!-- Revision:   0                                                           -->
<!--  Project:   Sapphire                                                    -->
<!--  Purpose:   Style sheet for Enrole password retrieval page                           -->
<!--                                                                         -->
<!--      Log:   /sapphire/public/data/passwordretrieval.xsl                             -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	<xsl:param name="locale">en</xsl:param>
	<xsl:template match="passwordretrievalPage">
		<xsl:comment>Copyright (c) 2000 by Access360. All Rights Reserved.</xsl:comment>
		<html>
			<head>
				<title>
					<xsl:value-of select="title"/>
				</title>
				<script language="JavaScript" src="script_library.js"/>
				<link href="/enrole/{$locale}/Styles.css" rel="stylesheet" title="Styles" type="text/css"/>
			</head>
			<body bgcolor="ffffff" marginwidth="0" leftmargin="0" marginheight="0" topmargin="0">
				<table border="0" cellPadding="0" cellSpacing="0" width="100%">
					<tr>
						<td bgcolor="white">
							<img src="/enrole/{$locale}/images/logo.gif"/>
						</td>
						<td bgcolor="white" align="right">
							<xsl:apply-templates select="customerLogo"/>
						</td>
					</tr>
					<!-- Top Blue Row -->
					<tr>
						<td class="topnavigation" colspan="2">
							<img src="/enrole/images/pixel.gif" height="1" width="5" align="left" border="0"/>
							<img src="/enrole/images/pixel.gif" height="29"/>
							<img src="/enrole/images/pixel.gif" height="1" width="14" border="0"/>							
						</td>
					</tr>
					<!-- Header Graphic -->
					<tr>
						<td class="topheader" colspan="2">
							<table cellpadding="0" cellspacing="0" border="0">
								<tr>
									<td width="100%" height="36">
										<b><xsl:value-of select="title"/></b>
									</td>
									<td align="right">
										<xsl:apply-templates select="helpIcon"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<xsl:apply-templates select="form|languageList"/>
					<!-- Inner bar for lower part of page -->
					<tr>
						<td height="9" bgcolor="cccc99" colspan="2">
							<img src="/enrole/images/pixel.gif" width="1" height="9" border="0"/>
						</td>
					</tr>
					<xsl:apply-templates select="copyright"/>
				</table>
				<script language="JavaScript1.2">
					<!--
// 	Set the event handler for the password field
//  We only want enter key processed for javascript 1.2+ capable browsers AND
//  for the password field, not the userid field
-->
if (document.forms['body'] != null) {
  if (document.forms['body'].transactionid != null)
  {
    if (document.forms['body'].transactionid.value.length > 0)
    {
      if (document.forms['body'].sharedsecret != null)
      {
	    document.forms['body'].sharedsecret.focus();
	    document.forms['body'].sharedsecret.onkeypress=onSecretEnter;
	  }
    }
  }
  if (document.forms['body'].message != null)
    alert(document.forms['body'].message.value);
}
function onSecretEnter(keypressed) {
    // The Docment Object Model event we need is only available inf Javascript 1.2, MSIE4+ and NN4+
	// This functions is the onKeyPress event handler for the password field
	var key;
	// Test	of MSIE DOM without all that parsing of the agent string
	// NN and MSIE use different DOMs
	if (document.all) {
	    key=window.event.keyCode;
	}
    else {
	    key=keypressed.which;
	};
	// Check each key pressed for character code 13 (carriage return), AND
	// then SUBMIT the form for the user
	if (key==13) {
	  	document.forms['body'].submit();
	}
}
</script>
		</body>
	</html>
</xsl:template>
	<!-- template for displaying customer logo -->
	<xsl:template match="customerLogo">
		<xsl:choose>
			<xsl:when test="url">
				<a href="{url}">
					<img src="/enrole/images/{img}" border="0"/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<img src="/enrole/images/{img}" border="0"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Template for login form -->
	<xsl:template match="form">
		<tr>
			<td width="100%" class="login" colspan="2">
				<img src="/enrole/images/pixel.gif" width="1" height="36" border="0"/>
				<br/>
				<img src="/enrole/images/pixel.gif" width="155" height="100" border="0" align="left"/>
				<table cellpadding="0" cellspacing="0" border="0">
					<xsl:apply-templates select="welcome|incorrectLoginMessage|cue"/>
					<tr>
						<td width="275" class="submitLink" cellvalign="bottom">
							<xsl:apply-templates select="a"/>
						</td>
						<td nowrap="true">
							<br/>
							<form name="body" action="{@action}" method="POST" accept-charset="UTF-8">
								<!-- Set the timezone offset -->
								<input type="hidden" name="timezoneOffset"/>
								<table cellpadding="3" cellspacing="0" border="0">
									<xsl:apply-templates select="formElement|data"/>
									<xsl:apply-templates select="buttonBar|helpLink|submitLink|/submitLink/a|text|input"/>
								</table>
							</form>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</xsl:template>
	<!-- template for displaying welcome message -->
	<xsl:template match="welcome">
		<tr>
			<td class="login" colspan="2" align="left">
				<img border="0" src="/enrole/{$locale}/images/welcome.gif"/>
			</td>
		</tr>
	</xsl:template>
	<!-- template for displaying incorrect login message and cues-->
	<xsl:template match="incorrectLoginMessage">
		<tr>
			<td colspan="2">
				<b class="loginform">
					<xsl:apply-templates/>
				</b>
			</td>
		</tr>
	</xsl:template>
	<!-- template for displaying text entry and password fields -->
	<xsl:template match="formElement">
		<tr>
			<td nowrap="true" valign="middle">
				<b class="loginlabel">
					<xsl:value-of select="@label"/>:&#xa0;
        </b>
			</td>
			<td align="left" valign="bottom">
				<xsl:apply-templates/>
			</td>
		</tr>
	</xsl:template>
	<!-- template for displaying text for Q&A -->
	<xsl:template match="data">
		<!--tr class="form">
		  <td colspan="2"-->
		<b class="loginlabel">
			<xsl:apply-templates/>
		</b>
		<!--/td >
    </tr-->
	</xsl:template>
	<xsl:template match="buttonBar">
	<tr>
		<td align="right" colspan="2">
			<xsl:apply-templates select="button"/>
		</td>
	</tr>
	</xsl:template>
	<!-- template for displaying buttons -->
	<xsl:template match="button">
				<a onmouseover="document.images['{image}'].src='/enrole/{$locale}/images/{image}_f2.gif'; window.status='{alt}'; return true" onmouseout="document.images['{image}'].src='/enrole/{$locale}/images/{image}.gif'; window.status=location; return true" href="{url}">
					<img alt="{alt}" src="/enrole/{$locale}/images/{image}.gif" name="{image}" border="0" hspace="8" vspace="4"/>
				</a>
	</xsl:template>
	<!-- template for links that are used to submit data (eg forgot password) -->
	<xsl:template match="submitLink">
		<tr>
			<td align="right" colspan="2">
				<a href="Javascript:submitLogonForm(document.forms['logon'],'{@href}');" style="text-decoration:underline;" onmouseover="window.status='{.}'; return true" onmouseout="window.status=location; return true">
					<xsl:value-of select="."/>
				</a>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="helpLink">
		<tr>
			<td align="right" colspan="2">
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
					<xsl:attribute name="style">text-decoration:underline;</xsl:attribute>
					<xsl:attribute name="onmouseover">window.status='<xsl:value-of select="."/>'; return true</xsl:attribute>
					<xsl:attribute name="onmouseout">window.status=location; return true</xsl:attribute>
					<xsl:value-of select="."/>
				</a>
			</td>
		</tr>
	</xsl:template>
	<!-- Copy XHTML elements -->
	<xsl:template match="input|br">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	<!-- Copy and underline anchors -->
	<xsl:template match="/submitLink/a">
		<a>
			<xsl:for-each select="@*">
				<xsl:attribute name="{name()}"><xsl:value-of select="."/></xsl:attribute>
			</xsl:for-each>
			<xsl:attribute name="style">text-decoration:underline</xsl:attribute>
			<xsl:apply-templates/>
		</a>
	</xsl:template>
	<!-- template for general copyright message -->
	<xsl:template match="copyright">
		<tr>
			<td class="copyright" colspan="2">
				<xsl:apply-templates/>
			</td>
		</tr>
	</xsl:template>
	<!-- Copy and underline anchors -->
	<xsl:template match="a">
		<a>
			<xsl:for-each select="@*">
				<xsl:attribute name="{name()}"><xsl:value-of select="."/></xsl:attribute>
			</xsl:for-each>
			<xsl:attribute name="style">text-decoration:underline</xsl:attribute>
			<xsl:apply-templates/>
		</a>
	</xsl:template>
	<!-- Template for list of languages -->
	<xsl:template match="languageList">
		<tr>
			<td class="login" colspan="2">
				<br/>
				<table width="400" align="left" border="0">
					<xsl:apply-templates select="cue"/>
					<xsl:apply-templates select="language"/>
				</table>
			</td>
		</tr>
	</xsl:template>
	<!-- Template for cues -->
	<xsl:template match="cue">
		<tr>
			<td>
				<img src="/enrole/images/pixel.gif" width="250" height="1"/>
			</td>
			<td class="login" align="left" nowrap="true" border="0">
				<span class="logoncue">
					<xsl:apply-templates/>
				</span>
			</td>
			<td/>
		</tr>
	</xsl:template>
	<!-- Template for individual languages -->
	<xsl:template match="language">
		<tr>
			<td>
				<img src="/enrole/images/pixel.gif" width="250" height="1"/>
			</td>
			<td align="right">
				<a href="/enrole/logon?language={localeString}&amp;country={country}" onMouseOut="document.images['{image}'].src='/enrole/{image}.gif';window.status=location; return true;" onMouseOver="document.images['{image}'].src='/enrole/{image}_f2.gif';window.status='{alt}'; return true;">
					<img src="/enrole/{image}.gif" border="0" name="{image}" alt="{alt}"/>
				</a>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="helpIcon" match="helpIcon">
		<img height="1" width="5" border="0" src="images/pixel.gif"/>
			<A onmouseover="document.images['helpquestion'].src='images/question_f2.gif';" onmouseout="document.images['helpquestion'].src='images/question.gif';">
				<xsl:attribute name="href">javascript:submitHelp('<xsl:value-of select="."/>')</xsl:attribute>
		<img border="0" src="images/question.gif" width="16" height="14" name="helpquestion"/>
			</A>
	</xsl:template>
</xsl:stylesheet>